Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 May 2015 21:43:09 +0300

> From: Oleh Krehel <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 22 May 2015 20:18:17 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Oleh Krehel <[email-masked]>
> >> Cc: [email-masked],  [email-masked]
> >> Date: Fri, 22 May 2015 18:54:17 +0200
> >> 
> >> I attach a patch that sets ascent/descent to 0 specifically for the
> >> problematic font family "Latin Modern Math".
> >
> > That's hardly TRT.
> 
> Why not?

Because you assume no one will want to see that font in its original
metrics, and don't provide any way for users that might want that to
get that back.  There's no "fire escape".

> "Latin Modern Math" has likely been unchanged in ages and isn't
> getting changed soon; and we know that it causes a bug.

Isn't it much easier (and cleaner) to set up Emacs to not use that
font for these characters?  There are quite a few good fonts out there
that support these symbols without such huge ascent/descent values,
just use them instead.

> > But what I'd really like to do is find out how do other applications
> > avoid this problem.  I thought that's what we wanted to do in this
> > thread.
> 
> Would be great to know this. Unfortunately, I can't do much to help.

Well, I hope someone does.  Thanks for your efforts, regardless.